# ReportNodeGroupService
> 监控节点分组

---

## countAllEnabledReportNodeGroups
> 计算所有分组数量

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportNodeGroupService/countAllEnabledReportNodeGroups`
- RPC：`rpc countAllEnabledReportNodeGroups(CountAllEnabledReportNodeGroupsRequest) returns (RPCCountResponse);`

**请求对象 (`CountAllEnabledReportNodeGroupsRequest`)**

```json
{}
```

**响应对象 (`RPCCountResponse`)**

```json
{
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportNodeGroupService/countAllEnabledReportNodeGroups" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## createReportNodeGroup
> 创建分组

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportNodeGroupService/createReportNodeGroup`
- RPC：`rpc createReportNodeGroup(CreateReportNodeGroupRequest) returns (CreateReportNodeGroupResponse);`

**请求对象 (`CreateReportNodeGroupRequest`)**

```json
{
  "name": "string // 名称"
}
```

**响应对象 (`CreateReportNodeGroupResponse`)**

```json
{
  "reportNodeGroupId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportNodeGroupService/createReportNodeGroup" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## deleteReportNodeGroup
> 删除分组

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportNodeGroupService/deleteReportNodeGroup`
- RPC：`rpc deleteReportNodeGroup(DeleteReportNodeGroupRequest) returns (RPCSuccess);`

**请求对象 (`DeleteReportNodeGroupRequest`)**

```json
{
  "reportNodeGroupId": "int64"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportNodeGroupService/deleteReportNodeGroup" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findAllEnabledReportNodeGroups
> 查找所有分组

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportNodeGroupService/findAllEnabledReportNodeGroups`
- RPC：`rpc findAllEnabledReportNodeGroups(FindAllEnabledReportNodeGroupsRequest) returns (FindAllEnabledReportNodeGroupsResponse);`

**请求对象 (`FindAllEnabledReportNodeGroupsRequest`)**

```json
{}
```

**响应对象 (`FindAllEnabledReportNodeGroupsResponse`)**

```json
{
  "reportNodeGroups": "[]ReportNodeGroup"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportNodeGroupService/findAllEnabledReportNodeGroups" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findEnabledReportNodeGroup
> 查找单个分组

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportNodeGroupService/findEnabledReportNodeGroup`
- RPC：`rpc findEnabledReportNodeGroup(FindEnabledReportNodeGroupRequest) returns (FindEnabledReportNodeGroupResponse);`

**请求对象 (`FindEnabledReportNodeGroupRequest`)**

```json
{
  "reportNodeGroupId": "int64"
}
```

**响应对象 (`FindEnabledReportNodeGroupResponse`)**

```json
{
  "reportNodeGroup": "ReportNodeGroup"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportNodeGroupService/findEnabledReportNodeGroup" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateReportNodeGroup
> 修改分组

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/ReportNodeGroupService/updateReportNodeGroup`
- RPC：`rpc updateReportNodeGroup(UpdateReportNodeGroupRequest) returns (RPCSuccess);`

**请求对象 (`UpdateReportNodeGroupRequest`)**

```json
{
  "reportNodeGroupId": "int64",
  "name": "string // 名称"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ReportNodeGroupService/updateReportNodeGroup" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
